> ## Documentation Index
> Fetch the complete documentation index at: https://docs.itoflow.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue a manual strategy execution

> Queues a one-off manual strategy rebalance and returns an execution id for tracking.

Operation ID: post__strategies_id_execute.



## OpenAPI

````yaml /openapi/itoflow-public.openapi.json post /strategies/{id}/execute
openapi: 3.1.0
info:
  description: >-
    All Itoflow APIs are experimental and may change without notice. Read-only
    operations marked interactive can be tried from the documentation; the
    others are reference-only.
  title: Itoflow Developer API
  version: 1.0.0
servers:
  - description: Itoflow API
    url: https://api.itoflow.ai
security: []
tags:
  - name: Account
  - name: Billing
  - name: Brokers
  - name: Chat
  - name: Connected MCP servers
  - name: GitHub
  - name: Market data
  - name: Monitors
  - name: Notifications
  - name: Portfolios
  - name: Risk runs
  - name: Sharing and data
  - name: Strategies
paths:
  /strategies/{id}/execute:
    post:
      tags:
        - Strategies
      summary: Queue a manual strategy execution
      description: >-
        Queues a one-off manual strategy rebalance and returns an execution id
        for tracking.


        Operation ID: post__strategies_id_execute.
      operationId: post__strategies_id_execute
      parameters:
        - description: Resource UUID
          in: path
          name: id
          required: true
          schema:
            description: Resource UUID
            example: 550e8400-e29b-41d4-a716-446655440000
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StrategyExecuteRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StrategyExecuteResponse'
          description: Execution queued
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Validation error
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingRejectionOrError'
          description: Forbidden or blocked by billing limits
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Strategy not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Server error
      security:
        - bearerAuth: []
components:
  schemas:
    StrategyExecuteRequest:
      properties:
        custom_message:
          type: string
        execution_type:
          enum:
            - manual_rebalance
          type: string
        trading_date:
          type: string
      required:
        - execution_type
      type: object
    StrategyExecuteResponse:
      properties:
        estimated_duration_seconds:
          type: number
        execution_id:
          format: uuid
          type: string
        status:
          type: string
        strategy_id:
          format: uuid
          type: string
        stream_url:
          type: string
      required:
        - execution_id
        - strategy_id
        - status
        - estimated_duration_seconds
        - stream_url
      type: object
    Error:
      properties:
        available:
          description: Optional available amount or value
          type: string
        billing_action:
          $ref: '#/components/schemas/BillingAction'
        code:
          description: Machine-readable error code
          type: string
        currentVersion:
          description: Current server-side version, when relevant
          type: number
        details:
          description: Optional structured error details
        error:
          description: Error type or code
          type: string
        expectedVersion:
          description: Client-provided expected version, when relevant
          type: number
        message:
          description: Human-readable error message
          type: string
        requested:
          description: Optional requested amount or value
          type: string
        usage:
          description: Optional usage metadata for limit errors
      required:
        - error
      type: object
    BillingRejectionOrError:
      anyOf:
        - $ref: '#/components/schemas/BillingRejection'
        - $ref: '#/components/schemas/Error'
    BillingAction:
      description: Action that resolves a billing-related rejection
      properties:
        href:
          type: string
        kind:
          enum:
            - upgrade
            - payment_method
            - spending_cap
            - billing
          type: string
        label:
          type: string
      required:
        - href
        - label
        - kind
      type: object
    BillingRejection:
      properties:
        billing_action:
          $ref: '#/components/schemas/BillingAction'
        code:
          enum:
            - SUBSCRIPTION_LIMIT_EXCEEDED
          type: string
        error:
          enum:
            - AI_COST_LIMIT
          type: string
        message:
          type: string
        usage:
          $ref: '#/components/schemas/UsageLimits'
      required:
        - error
        - code
        - message
        - billing_action
      type: object
    UsageLimits:
      properties:
        block_reason:
          enum:
            - free_tier_exhausted
            - spending_cap_reached
            - subscription_inactive
            - not_configured
          type: string
        bonus_credits:
          minimum: 0
          type: integer
        credits_included:
          minimum: 0
          type: integer
        credits_remaining:
          minimum: 0
          type: integer
        credits_used:
          minimum: 0
          type: integer
        current_tier:
          enum:
            - free
            - included
            - overage
          type: string
        effective_credits_included:
          minimum: 0
          type: integer
        has_payment_method:
          type: boolean
        is_warning_threshold:
          type: boolean
        is_within_limit:
          type: boolean
        overage_credits:
          minimum: 0
          type: integer
        payg_spending_cap_cents:
          minimum: 0
          type:
            - integer
            - 'null'
        payg_spent_cents:
          minimum: 0
          type: number
        percentage_used:
          maximum: 100
          minimum: 0
          type: number
        period_end:
          type: string
        period_start:
          type: string
      required:
        - credits_used
        - credits_included
        - credits_remaining
        - overage_credits
        - current_tier
        - has_payment_method
        - payg_spending_cap_cents
        - payg_spent_cents
        - is_within_limit
        - percentage_used
        - is_warning_threshold
        - period_start
        - period_end
        - bonus_credits
        - effective_credits_included
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: Itoflow access token issued for the Itoflow API.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.